# Uses of Class
org.snpeff.codons.CodonTable

Packages that use CodonTable
Package
Description
org.snpeff.codons
org.snpeff.interval
org.snpeff.snpEffect

## Uses of CodonTable in org.snpeff.codons

Methods in org.snpeff.codons that return CodonTable
Modifier and Type
Method
Description
`CodonTable`
CodonTables.`getTable(String codonTableName)`
Get a codon table by name
`CodonTable`
CodonTables.`getTable(Genome genome)`
Get default genome-wide codon table
`CodonTable`
CodonTables.`getTable(Genome genome, String chromosome)`
Get a codon table WARNING: It will return the standard codon table if nothing if found
Methods in org.snpeff.codons that return types with arguments of type CodonTable
Modifier and Type
Method
Description
`Iterator<CodonTable>`
CodonTables.`iterator()`
Methods in org.snpeff.codons with parameters of type CodonTable
Modifier and Type
Method
Description
`void`
CodonTables.`add(CodonTable codonTable)`
Add a codon table
`void`
CodonTables.`set(Genome genome, CodonTable codonTable)`
Set a codon table for a all chromosomes in a genome I.e.: Default genome-wide chromosome table
`void`
CodonTables.`set(Genome genome, Chromosome chr, CodonTable codonTable)`
Set a codon table for a given genome invalid input: '&' chromosome

## Uses of CodonTable in org.snpeff.interval

Methods in org.snpeff.interval that return CodonTable
Modifier and Type
Method
Description
`CodonTable`
Marker.`codonTable()`
Get a suitable codon table
`CodonTable`
Chromosome.`getCodonTable()`

## Uses of CodonTable in org.snpeff.snpEffect

Constructors in org.snpeff.snpEffect with parameters of type CodonTable
Modifier
Constructor
Description
``
`PurityChange(CodonTable codonTable)`